%define bmp_input_plugin_dir %(pkg-config --variable=input_plugin_dir bmp 2>/dev/null || echo %{_libdir}/bmp/Input)

Name:           bmp-flac2
Version:        009
Release:        1%{?dist}
Summary:        Plugin to enable FLAC playback in the Beep Media Player

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.skytale.net/projects/bmp-flac2/
Source0:        http://www.skytale.net/files/bmp-flac2/%{name}-%{version}.tar.gz
Source1:        bmp-flac2.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bmp-devel flac-devel

%description
This plugin for the Beep Media Player enables playback of files encoded
with the Free Lossless Audio Codec (FLAC).


%prep
%setup -q


%build
CFLAGS="%{optflags} -fPIC" %configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    %{SOURCE1}


%post
update-desktop-database -q %{_datadir}/applications || :

%postun
update-desktop-database -q %{_datadir}/applications || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog
%{bmp_input_plugin_dir}/libflac.so
%{_datadir}/applications/*


%changelog
* Sat Mar 20 2006 Ralf Ertzinger <ralf@skytale.net> 009-1.fc5
- Update to 009

* Tue Feb 21 2006 Ralf Ertzinger <ralf@skytale.net> 007-2.fc5
- Bump and rebuild for FC5

* Sun Nov 27 2005 Ralf Ertyinger <ralf@skytale.net> 007-1%{?dist}
- Update to 007

* Mon Oct 17 2005 Ralf Ertzinger <ralf@skytale.net> 006-2%{?dist}
- Use %%{bmp_input_plugin_dir}
- Do not depend on desktop-file-utils

* Fri Oct 14 2005 Ralf Ertzinger <ralf@skytale.net> 006-1%{?dist}
- Update to 006

* Wed Aug 03 2005 Ralf Ertzinger <ralf@skytale.net> 003-1%{?dist}
- Initial RPM file

